#ifndef BERYL_SETTINGS_BACKEND
#define BERYL_SETTINGS_BACKEND
#include <beryl-settings.h>
gboolean backend_init (BerylSettingsContext * context);
gboolean backend_fini (BerylSettingsContext * context);
gboolean read_init (BerylSettingsContext * context);
void read_done (BerylSettingsContext * context);
gboolean write_init (BerylSettingsContext * context);
void write_done (BerylSettingsContext * context);
void read_setting(BerylSettingsContext * context, BerylSetting * setting);
void write_setting(BerylSettingsContext * context, BerylSetting * setting);
gboolean get_setting_is_integrated(BerylSetting * setting);
gboolean get_setting_is_read_only(BerylSetting * setting);
GSList * get_existing_profiles(void);
const gchar * get_short_desc(void);
gboolean get_supports_integration(void);
gboolean delete_profile(gchar *);
#endif
